Get summary of Images and Subscriptions

post

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/actions/querySummary

Gets Statistics of, compliance of image and targets and subscriptions

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Match All
Show Source
Nested Schema : excludeList
Type: array
exclude the given summaries
Show Source
  • Allowed Values: [ "subscriptions", "images", "targets" ]
Nested Schema : GlobalTargetFilter
Type: object
Global target property filters
Show Source
Nested Schema : targetProperties
Properties of target
Match All
Properties of target
Show Source
Nested Schema : targetTypeList
Type: array
Target type
Show Source
  • Allowed Values: [ "oracle_database", "rac_database", "cluster", "has" ]
Nested Schema : TargetPropertyFilter
Type: object
Target property filters
Show Source
Nested Schema : contactList
Type: array
List of contacts
Show Source
Nested Schema : costCenterList
Type: array
List of cost centers
Show Source
Nested Schema : departmentList
Type: array
List of departments
Show Source
Nested Schema : downtimeContactList
Type: array
List of downtime contacts
Show Source
Nested Schema : lifecycleStatusList
Type: array
List of lifecyclestatus
Show Source
Nested Schema : lineOfBusinessList
Type: array
List of line of business
Show Source
Nested Schema : locationList
Type: array
List of locations
Show Source
Nested Schema : siteList
Type: array
List of sites
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

OK. Summary details retrieved.
Body ()
Root Schema : schema
Type: object
Match All
Show Source
Nested Schema : GoldImageAndSubscriptionSummary
Type: object
Image and Subscription statistics
Show Source
Nested Schema : images
Type: array
Statistics of images grouped by image status (uptodate, uptodateVersionNotCurrent, needOracleRecommendedPatches)
Show Source
Nested Schema : subscriptions
Type: array
Statistics of subscriptions grouped by target type
Show Source
Nested Schema : targets
Type: array
Statistics of targets grouped by patchlevel (current/non-current)
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : ImageStatistics
Type: object
Statistics of the images
Show Source
Nested Schema : categories
Type: array
Includes the count of images, which are uptodate and needOracleRecommendedPatches
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : ImageCategoryStatistics
Type: object
Statistics of image category
Show Source
  • Count of images
    Example: 50
  • Allowed Values: [ "uptodate", "needOracleRecommendedPatches" ]
    Name of the image category
Nested Schema : items
Match All
Show Source
Nested Schema : SubscriptionStatistics
Type: object
Statistics of the subscriptions
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : TargetStatistics
Type: object
Statistics of the targets
Show Source
Nested Schema : categories
Type: array
Includes the count of the targets subscribed to current and non-current image version
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : TargetCategoryStatistics
Type: object
Statistics of the target category
Show Source
  • Count of the targets subscribed to the image category
    Example: 70
  • Allowed Values: [ "current", "notCurrent" ]
    Category name of the image
  • Allowed Values: [ "oracle_database", "rac_database", "cluster", "has" ]
    Target type
Examples

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

404 Response

Not Found
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top